> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a raw document to a given assistant

> Upload a raw document to a given assistant.



## OpenAPI

````yaml /openapi.json post /api/documents/assistant/raw
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/documents/assistant/raw:
    post:
      tags:
        - Assistant Documents
      summary: Upload a raw document to a given assistant
      description: Upload a raw document to a given assistant.
      operationId: PublicRagieController_createRagieRaw
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: >-
          The content of the document, the name of the file, the external id,
          folder id, optional assistant id and icon.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRawDocumentDto'
      responses:
        '201':
          description: Document created successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
components:
  schemas:
    CreateRawDocumentDto:
      type: object
      properties:
        content:
          type: string
          minLength: 1
        fileName:
          type: string
          minLength: 1
        externalId:
          type: string
          minLength: 1
        assistantId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        folderId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        icon:
          type: string
          maxLength: 50
      required:
        - content
        - fileName
        - externalId
        - folderId

````